Unable to install Pythia

Asked by Harsh Bhardwaj on 2019-07-17

I am unable to install Pythia. I am using macOS Mojave 10.14.

MG5_aMC>install pythia8
   You are installing 'pythia8', please cite ref(s): arXiv:1410.3012.
Downloading the HEPToolInstaller at:
   http://madgraph.phys.ucl.ac.be/Downloads/HEPToolsInstaller/HEPToolsInstaller_V119.tar.gz
tar: Error opening archive: Failed to open 'HEPToolsInstallers.tar.gz'
Command "install pythia8" interrupted with error:
OSError : [Errno 2] No such file or directory: '/Users/bhardwajharsh99/Desktop/Dissertation/MG5_aMC_v3_0_1/HEPTools/HEPToolsInstallers.tar.gz'
Please report this bug on https://bugs.launchpad.net/mg5amcnlo
More information is found in 'MG5_debug'.
Please attach this file to your report.

Please forgive me if this is a trivial problem. I am completely new to scientific software.

Question information

Language:
English Edit question
Status:
Solved
For:
MadGraph5_aMC@NLO Edit question
Assignee:
No assignee Edit question
Solved by:
Harsh Bhardwaj
Solved:
2019-07-19
Last query:
2019-07-19
Last reply:
2019-07-17

Hi,

I do not reproduce your issue on 10.14.5. Neither with the official version of the code MG5aMC2.6.6 or with the beta version 3.0.1.

Looks like you successfully connect to one of our cluster but fail to download the installation package (telling your machine how to install the latest version of pythia). I would suspect a network issue here.
Could you retry?

Cheers,

Olivier

Just want to add that the cluster that you succesfully connect with might have suffer some down time today since this is the maintenance week for the cluster (I'm not aware of any update on that machine that they want to do but it might creates some perturbation).

In any case, just retry since you can also pick the US cluster for downloading the package.

Cheers,

Olivier

There seemed to be some mismatch of versions of curl and libcurl on my system. After fixing it, I was able to do the installation.